Bug 496724

Summary: fence_drac5 uses module_name instead of modulename
Product: Red Hat Enterprise Linux 5 Reporter: Vinny Valdez <vvaldez>
Component: cmanAssignee: Marek Grac <mgrac>
Status: CLOSED ERRATA QA Contact: Cluster QE <mspqa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 5.3CC: cfeist, cluster-maint, cward, edamato, mgrac, praveen_paladugu, rlerch, rmccabe, sbradley, tao
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cman-2.0.101-1.el5 Doc Type: Bug Fix
Doc Text:
Cause: Fence agent fence_drac5 does not support same variable as fence_drac Consequences: Unable to use previously written scripts with new agent Fix: Added compatibility layer to support both modulename and module_name Result: Full backward compatibility for supported models.
Story Points: ---
Clone Of:
: 500546 (view as bug list) Environment:
Last Closed: 2009-09-02 07:10:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 500546    
Attachments:
Description Flags
fence_drac5 and fencing.py: patches and files with patch applied
none
fence_drac5 and fencing.py with modulename patch
none
Patch to add compatibile layer none

Description Vinny Valdez 2009-04-20 16:17:58 EDT
Description of problem:
Conga should have a separate entry for "Dell CMC" when configuring fencing.  Currently the only option is "Dell Drac", which uses "fence_drac" that does not have the correct support for the Dell CMC (see bug 466788), nor an option for SSH (see bug 496713).

Lastly, it writes the configuration using 'modulename="user_input"' into
/etc/cluster/cluster.conf, but fence_drac5 uses 'module_name="user_input"'
instead.

Version-Release number of selected component (if applicable):
RHEL 5.3
cman-2.0.98-1.el5
luci-0.12.1-7.el5

How reproducible:
Everytime

Steps to Reproduce:
1. Setup a cluster
2. Select a node to configure fencing on
3. View options for Dell DRAC
  
Actual results:
Fencing fails if only using Conga, which uses the fencing agent "fence_drac".  The user can manually modify this, but will need to change "modulename" to "module_name", "fence_drac" to "fence_drac5", and add 'secure="1"' if desired.

Expected results:
There should be a separate entry for "Dell CMC".  This should also act as a shared fencing device like an "APC Power Switch".  The Dell CMC accepts module_name to power on/off individual server blades, much like a power switch.
Comment 1 Shane Bradley 2009-04-22 14:54:11 EDT
Created attachment 340789 [details]
fence_drac5 and fencing.py: patches and files with patch applied

This file contains the /sbin/fence_drac5 and /usr/lib/fence/fencing.py that have had patches applied to them. The file also contains the patches as well. These files had the patch BZ https://bugzilla.redhat.com/show_bug.cgi?id=462390 applied to them to fix another issue.

Patched fence_drac5 and fencing.py contain patches for 2 BZs.
Comment 3 Ryan McCabe 2009-04-24 09:40:00 EDT
A separate ticket should be opened against the fence agent and the patches should be posted there.
Comment 4 Marek Grac 2009-04-24 10:00:57 EDT
Fencing agent with support for this device is in git tree. It is extending fence_drac5 - detection of device is done automatically after login.
Comment 5 Shane Bradley 2009-04-29 11:07:32 EDT
The patch in the tarball was generated incorrectly. 
Please disregard the patch, but the patched files are correct.
Comment 8 Shane Bradley 2009-05-04 09:55:40 EDT
Created attachment 342307 [details]
fence_drac5 and fencing.py with modulename patch 

Uploaded the new patches for fencing.py and fence_drac5. 
The previous ones were incorrectly created.
Comment 9 Vinny Valdez 2009-05-04 10:58:04 EDT
Should the patches for the agent be posted in Bug 466788 as Ryan mentioned in Commend #3?  This bug only refers to Conga's support of the fencing agent.
Comment 10 Marek Grac 2009-05-13 04:37:21 EDT
Created attachment 343719 [details]
Patch to add compatibile layer 

Patch adds support for modulename (same way as we work with other obsolete options).
Comment 13 Marek Grac 2009-05-25 06:56:50 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: Fence agent fence_drac5 does not support same variable as fence_drac
Consequences: Unable to use previously written scripts with new agent
Fix: Added compatibility layer to support both modulename and module_name
Result: Full backward compatibility for supported models.
Comment 14 Marek Grac 2009-05-25 06:57:43 EDT
Release note added.
Comment 15 Chris Ward 2009-07-03 14:42:01 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 18 errata-xmlrpc 2009-09-02 07:10:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html